6.0.0-git
2019-03-19

[#10106] Use injector for passwd drivers / Convert passwd sql driver to Horde_Sql
Summary Use injector for passwd drivers / Convert passwd sql driver to Horde_Sql
Queue Passwd
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners lang (at) b1-systems (dot) de
Requester lang (at) b1-systems (dot) de
Created 2011-05-19 (2861 days ago)
Due 05/25/2011 (2855 days ago)
Updated 2011-05-20 (2860 days ago)
Assigned 2011-05-19 (2861 days ago)
Resolved 2011-05-20 (2860 days ago)
Milestone
Patch No

History
2011-05-20 12:37:15 Ralf Lang (B1 Systems GmbH) Comment #5
State ⇒ Resolved
Reply to this comment
The conversion seems to be finished.
2011-05-20 12:34:20 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

[#10106] Converted passwd sql driver to Horde_Sql

  1 files changed, 49 insertions(+), 83 deletions(-)
http://git.horde.org/horde-git/-/commit/8ab9a1ae8d3eac5c4e8a18af493dc860acba48e7
2011-05-20 12:34:15 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

[#10106] Created a Horde_Core_Factory for passwd backends

  1 files changed, 77 insertions(+), 0 deletions(-)
http://git.horde.org/horde-git/-/commit/d4b79abc37730237831ba1b876187e4e506c6cb7
2011-05-19 20:26:38 Jan Schneider Assigned to Ralf Lang (B1 Systems GmbH)
State ⇒ Assigned
 
2011-05-19 19:26:40 Ralf Lang (B1 Systems GmbH) Comment #2 Reply to this comment
Redesign the driver interface of passwd to use injection and 
separate the factory from the base object similar to turba.

Get rid of the depencency on pear DB and use Horde_Db instead.
Too bad I see I cannot assign this one to myself. I'm doing this.
2011-05-19 19:25:45 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Use injector for passwd drivers / Convert passwd sql driver to Horde_Sql
Due ⇒ 2011-05-25
Queue ⇒ Passwd
Milestone ⇒
Patch ⇒ No
Reply to this comment
Redesign the driver interface of passwd to use injection and separate 
the factory from the base object similar to turba.

Get rid of the depencency on pear DB and use Horde_Db instead.

Saved Queries